#[doc = "Register `PLL1_STATUS` reader"]
pub struct R(crate::R<PLL1_STATUS_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<PLL1_STATUS_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<PLL1_STATUS_SPEC>> for R {
    fn from(reader: crate::R<PLL1_STATUS_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `PLL1_STATUS` writer"]
pub struct W(crate::W<PLL1_STATUS_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<PLL1_STATUS_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<PLL1_STATUS_SPEC>> for W {
    fn from(writer: crate::W<PLL1_STATUS_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `LOCKED` reader - PLL Lock Indicator"]
pub struct LOCKED_R(crate::FieldReader<bool, bool>);
impl LOCKED_R {
    pub(crate) fn new(bits: bool) -> Self {
        LOCKED_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for LOCKED_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl R {
    #[doc = "Bit 0 - PLL Lock Indicator"]
    #[inline(always)]
    pub fn locked(&self) -> LOCKED_R {
        LOCKED_R::new((self.bits & 0x01) != 0)
    }
}
impl W {
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u32) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "PLL #1 Status Register\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [pll1_status](index.html) module"]
pub struct PLL1_STATUS_SPEC;
impl crate::RegisterSpec for PLL1_STATUS_SPEC {
    type Ux = u32;
}
#[doc = "`read()` method returns [pll1_status::R](R) reader structure"]
impl crate::Readable for PLL1_STATUS_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [pll1_status::W](W) writer structure"]
impl crate::Writable for PLL1_STATUS_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets PLL1_STATUS to value 0"]
impl crate::Resettable for PLL1_STATUS_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
